Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3477 - /mnt/cdrom won't umount if exported.
Summary: /mnt/cdrom won't umount if exported.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-server
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-15 14:35 UTC by a.r.runnalls
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-29 19:13:18 UTC


Attachments (Terms of Use)

Description a.r.runnalls 1999-06-15 14:35:05 UTC
I have two i586 machines running RH6.0  Machine A has a
CD-ROM drive which it mounts (ro) on /mnt/cdrom, and
NFS-exports it (ro) to Machine B.  If I mount /mnt/cdrom on
Machine A, then on machine B, unmount on machine B, and then
attempt to umount it on machine A, I'm told that the
filesystem is busy.  Consequently I have to reboot the
machine to eject the CD-ROM, which is a real pain.

Comment 1 Jay Turner 1999-06-29 19:13:59 UTC
Yes, you are not going to need to un-export the cdrom before you are
going to be able to unmount the drive.  NFS is "using" it and
therefore you are getting the message that you are seeing.


Note You need to log in before you can comment on or make changes to this bug.